Requesting a Hazard’s Products
To request the list of products associated to a hazard:
Returns all products (documents, maps, folders) associated with a specific hazard.
JWT access token obtained from POST /authorize. Tokens expire after
15 minutes.
Unique hazard identifier (UUID or numeric ID).
Array of products for the hazard.
A document, map, report, or folder associated with a hazard.
Associated application IDs.
Comment on the product.
Inline data payload, if any.
Original filename, if applicable.
Associated hazard ID.
203575Whether the product is hidden (Y or N).
NOrganisation ID.
Comma-separated organisation IDs.
Acronym of the producing organisation.
Parent product ID (for folder hierarchy).
1756465Unique product identifier.
1756466Product type code.
FOLDER_PRODUCTSecurity classification flag.
AProduct title.
PDC (SA)Unique identifier.
User or system that created the product.
DisasterAWARE (Automated)URL to download or view the product.
File suffix or type indicator.
folderCreation timestamp in epoch milliseconds.
1697157024387Last update timestamp in epoch milliseconds.
1697222488323Timeline display timestamp in epoch milliseconds.
1697222488323User who last updated the product.
ddpGeographic location metadata.
Forbidden -- invalid or expired token.
GET /hazards/{hazard-id}/products HTTP/1.1
Host: api-v2.disasteraware.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
{
"app_IDs": "text",
"comment_Text": "text",
"data": "text",
"filename": "text",
"hazard_ID": 203575,
"is_Hidden": "N",
"org_ID": 1,
"org_IDs": "text",
"organization_acronym": "text",
"parent_ID": 1756465,
"product_ID": 1756466,
"product_Type": "FOLDER_PRODUCT",
"security_Flag": "A",
"title": "PDC (SA)",
"uuid": "text",
"user_ID": "DisasterAWARE (Automated)",
"product_url": "text",
"suffix": "folder",
"create_Date": "1697157024387",
"update_Date": "1697222488323",
"timeline_Date": "1697222488323",
"update_User": "ddp",
"geo_Locations": "text"
}
]The response will include an array of product objects. Each element in the array will include the following properties:
app_IDs
The identifier for the application that created this product
comment_Text
A human readable comment attached to the document.
create_Date
The time this product was created. The value is a unix timestamp.
data
If this product is of type "text", this value will be the product's message. If the product is of type "url", this value will be the hyperlink associated with the product.
filename
If this product is of type "file", this value will be the filename of the file that was assigned to the product.
geo_Locations
An optional location on the earth that has been assigned to the product. The value is in WKT.
hazard_ID
The ID of the hazard that owns this product.
is_Hidden
This boolean flag indicates whether or not this products will be hidden from the user interface.
org_ID
Users of a DisasterAWARE system must belong to an organization. The products automatically assigned to the organization of the user who created the product.
org_IDs
An optional comma separated list of organizations who owns this product. Products can be assigned to one or more organizations. Products that are assigned to an organization(s) are only visible to members of that organization.
organization_acronym
Deprecated. Safe to ignore.
parent_ID
The ID of the folder product in which this product is contained. A value of zero indicates that this product is on the root of the hierarchy.
product_ID
the primary key of this product.
product_Type
this product's type. For more information, please see the section on product's types.
product_url
If this product is a file, this value will contain the location to use to request the source file.
security_Flag
this product indicates whether or not this product has been assigned to one or more organizations. A value of "R" indicates it has been restricted to one or more organizations. Otherwise, the value will be "A".
suffix
If this product is a file, this value represents the file extension of the source file e.g. 'txt', 'pdf', 'doc' etc...
timeline_Date
If this product is displayed in a timeline, this value is used to display the time the author has decided to associate to this product. The value is a unix timestamp.
title
A string title for this product.
update_Date
The time this product was last modified. The value is a unix timestamp.
update_User
The username of the user who last modified this product.
user_ID
The username of the user who created this product.
uuid
The unique identifier for this product across all DisasterAWARE systems.
Last updated
